curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/returns/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/returns/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/returns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "ed92d1a0-a8ee-4768-bbcb-26dd4bfdf8a4",
"retrievals": [
{
"methodType": "RETURN_KIT",
"items": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"skuId": "123E4567-E89B-12D3-A456-426614174000",
"title": "iPad Air - Silver, 64GB, WiFi",
"categoryCode": "COMPUTER",
"status": "PROCESSING",
"itad": false,
"shipment": {
"trackingUrl": "<string>",
"trackingCode": "1Z00000000",
"carrier": "UPS",
"status": "DELIVERED",
"trackingHistory": [
{
"status": "IN_TRANSIT",
"timestamp": "2023-11-07T05:31:56Z"
}
]
},
"returnReason": "OFFBOARDING",
"inventoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retrievalMethodStatus": "DELIVERED",
"inboundTrackingLink": "https://tracking.example.com/123456",
"inboundCarrier": "UPS",
"inboundTrackingCode": "1Z999AA10123456784",
"outboundTrackingLink": "https://tracking.example.com/789012",
"outboundCarrier": "FedEx",
"outboundTrackingCode": "1Z999AA10567890123",
"vendorSku": "APL-MK183LL/A",
"vendorCode": "APPLE",
"serialNumber": "<string>",
"holdRequested": true
}
]
}
],
"personId": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"supportTicketId": 12345,
"createdAt": "2025-11-26",
"updatedAt": "2025-11-26",
"confirmedAtTimestamp": "2025-11-27T10:15:00Z",
"shippingAddress": {
"countryCode": "US",
"addressLine1": 123,
"addressLine2": "Suite 103",
"administrativeArea": "NY",
"locality": "New York City",
"postalCode": 10123
},
"status": "CONFIRMED",
"replacement": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-12-25",
"status": "SUBMITTED",
"order": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "COMPLETED",
"orderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"skuId": "123E4567-E89B-12D3-A456-426614174000",
"title": "iPad Air - Silver, 64GB, WiFi",
"categoryCode": "COMPUTER",
"status": "PROCESSING",
"statusHistory": [
{
"status": "APPROVED",
"timestamp": "2023-01-01T12:00:00Z"
}
],
"shipment": {
"trackingUrl": "<string>",
"trackingCode": "1Z00000000",
"carrier": "UPS",
"status": "DELIVERED",
"trackingHistory": [
{
"status": "IN_TRANSIT",
"timestamp": "2023-11-07T05:31:56Z"
}
]
},
"fulfillmentMethod": "WAREHOUSE",
"vendorSku": "APL-MK183LL/A",
"vendorCode": "APPLE",
"serialNumber": "C02XL0AAJG5L",
"justification": "Need higher RAM for local development workflows",
"purchaseOrderNumber": "PO-US-LAPTOPS-001"
}
],
"statusHistory": [
{
"status": "APPROVED",
"timestamp": "2023-01-01T12:00:00Z"
}
],
"orderType": "ONE_OFF",
"personId": "d7d0d906-425f-402f-bde1-39031c67c40b",
"officeId": "d7d0d906-425f-402f-bde1-39031c67c40b",
"shippingAddress": {
"countryCode": "US",
"addressLine1": 123,
"addressLine2": "Suite 103",
"administrativeArea": "NY",
"locality": "New York City",
"postalCode": 10123
},
"submittedBy": "John S. (Firstbase)",
"approvedBy": "Jane Smith",
"approvedAt": "2026-02-26",
"deliverToOffice": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "NYC HQ",
"address": {
"countryCode": "US",
"addressLine1": 123,
"addressLine2": "Suite 103",
"administrativeArea": "NY",
"locality": "New York City",
"postalCode": 10123
}
},
"deliverToPerson": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedBy": "2026-03-10",
"packageSlug": "engineering-onboarding",
"deliveryLocation": "PERSON"
}
},
"returnLifecycleType": "ONE_OFF",
"submittedBy": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"forename": "<string>",
"surname": "<string>"
},
"office": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"name": "<string>"
},
"person": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"forename": "<string>",
"surname": "<string>"
},
"deliveryLocation": "FIRSTBASE"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Get return
Returns full details for a single return order belonging to the caller’s organization. Optionally includes shipment tracking information when includeShipment=true.
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/returns/{id}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/returns/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/returns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "ed92d1a0-a8ee-4768-bbcb-26dd4bfdf8a4",
"retrievals": [
{
"methodType": "RETURN_KIT",
"items": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"skuId": "123E4567-E89B-12D3-A456-426614174000",
"title": "iPad Air - Silver, 64GB, WiFi",
"categoryCode": "COMPUTER",
"status": "PROCESSING",
"itad": false,
"shipment": {
"trackingUrl": "<string>",
"trackingCode": "1Z00000000",
"carrier": "UPS",
"status": "DELIVERED",
"trackingHistory": [
{
"status": "IN_TRANSIT",
"timestamp": "2023-11-07T05:31:56Z"
}
]
},
"returnReason": "OFFBOARDING",
"inventoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retrievalMethodStatus": "DELIVERED",
"inboundTrackingLink": "https://tracking.example.com/123456",
"inboundCarrier": "UPS",
"inboundTrackingCode": "1Z999AA10123456784",
"outboundTrackingLink": "https://tracking.example.com/789012",
"outboundCarrier": "FedEx",
"outboundTrackingCode": "1Z999AA10567890123",
"vendorSku": "APL-MK183LL/A",
"vendorCode": "APPLE",
"serialNumber": "<string>",
"holdRequested": true
}
]
}
],
"personId": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"supportTicketId": 12345,
"createdAt": "2025-11-26",
"updatedAt": "2025-11-26",
"confirmedAtTimestamp": "2025-11-27T10:15:00Z",
"shippingAddress": {
"countryCode": "US",
"addressLine1": 123,
"addressLine2": "Suite 103",
"administrativeArea": "NY",
"locality": "New York City",
"postalCode": 10123
},
"status": "CONFIRMED",
"replacement": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-12-25",
"status": "SUBMITTED",
"order": {
"id": "123E4567-E89B-12D3-A456-426614174000",
"status": "COMPLETED",
"orderItems": [
{
"id": "123E4567-E89B-12D3-A456-426614174000",
"skuId": "123E4567-E89B-12D3-A456-426614174000",
"title": "iPad Air - Silver, 64GB, WiFi",
"categoryCode": "COMPUTER",
"status": "PROCESSING",
"statusHistory": [
{
"status": "APPROVED",
"timestamp": "2023-01-01T12:00:00Z"
}
],
"shipment": {
"trackingUrl": "<string>",
"trackingCode": "1Z00000000",
"carrier": "UPS",
"status": "DELIVERED",
"trackingHistory": [
{
"status": "IN_TRANSIT",
"timestamp": "2023-11-07T05:31:56Z"
}
]
},
"fulfillmentMethod": "WAREHOUSE",
"vendorSku": "APL-MK183LL/A",
"vendorCode": "APPLE",
"serialNumber": "C02XL0AAJG5L",
"justification": "Need higher RAM for local development workflows",
"purchaseOrderNumber": "PO-US-LAPTOPS-001"
}
],
"statusHistory": [
{
"status": "APPROVED",
"timestamp": "2023-01-01T12:00:00Z"
}
],
"orderType": "ONE_OFF",
"personId": "d7d0d906-425f-402f-bde1-39031c67c40b",
"officeId": "d7d0d906-425f-402f-bde1-39031c67c40b",
"shippingAddress": {
"countryCode": "US",
"addressLine1": 123,
"addressLine2": "Suite 103",
"administrativeArea": "NY",
"locality": "New York City",
"postalCode": 10123
},
"submittedBy": "John S. (Firstbase)",
"approvedBy": "Jane Smith",
"approvedAt": "2026-02-26",
"deliverToOffice": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "NYC HQ",
"address": {
"countryCode": "US",
"addressLine1": 123,
"addressLine2": "Suite 103",
"administrativeArea": "NY",
"locality": "New York City",
"postalCode": 10123
}
},
"deliverToPerson": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com"
},
"createdAt": "2026-02-26T14:15:22.123Z",
"updatedAt": "2026-03-15T09:00:00.000Z",
"expectedBy": "2026-03-10",
"packageSlug": "engineering-onboarding",
"deliveryLocation": "PERSON"
}
},
"returnLifecycleType": "ONE_OFF",
"submittedBy": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"forename": "<string>",
"surname": "<string>"
},
"office": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"name": "<string>"
},
"person": {
"id": "016fb454-066b-4ba5-9eca-a2fa14b7e7fc",
"forename": "<string>",
"surname": "<string>"
},
"deliveryLocation": "FIRSTBASE"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Prefix the value with "ApiKey" to indicate the custom authorization type
Path Parameters
Query Parameters
When true, include related shipment details in the response payload.
Response
The requested return order
Return order ID
"ed92d1a0-a8ee-4768-bbcb-26dd4bfdf8a4"
Retrieval methods grouped by type. Always contains 4 entries: PL, RETURN_KIT, INBOUND, NOT_MAPPED
Show child attributes
Show child attributes
Person ID
"016fb454-066b-4ba5-9eca-a2fa14b7e7fc"
Support ticket ID
12345
Created date
"2025-11-26"
Updated date
"2025-11-26"
Confirmed timestamp (UTC)
"2025-11-27T10:15:00Z"
Shipping address
Show child attributes
Show child attributes
Return order status
PENDING, PROCESSING, COMPLETED, RETURN_KIT_SENT, RETURN_KIT_DELIVERED, RETURN_KIT_SENT_BACK, RECEIVED_IN_WAREHOUSE, RETURNED, NOT_RETURNED, SUBMITTED, CANCELLED, NONE, CONFIRMED, PARTIALLY_COMPLETED, NOT_COMPLETED "CONFIRMED"
Replacement order if applicable
Show child attributes
Show child attributes
Return lifecycle type
ONE_OFF, OFFBOARDING "ONE_OFF"
Person who submitted the return order.
Show child attributes
Show child attributes
Office associated with the return, if any.
Show child attributes
Show child attributes
Affected person reference (sibling to legacy personId).
Show child attributes
Show child attributes
The return's delivery location (mirrors the FE Returns 'Delivery location' column). Allowed values: FIRSTBASE, OFFICE, MULTIPLE.
FIRSTBASE, OFFICE, MULTIPLE